Sazabi
APIIntegrations

Get an active CLI connect attempt

Return the newest pending, non-expired CLI-initiated connect attempt for the given provider, or null if none exists. Used by the dashboard to show a 'connection in progress from your terminal' message.

GET https://api.sazabi.com/v1/integrations/connect/cli-attempt

GET
/integrations/connect/cli-attempt

Query Parameters

organizationId?string

Organization to check. Auto-filled from CLI and SDK context when omitted.

Length1 <= length
provider*string

Integration provider to check for an active CLI connect attempt.

Value in

  • "slack"
  • "github"
  • "linear"
  • "pagerduty"
  • "victorops"
  • "rootly"
  • "incident_io"
  • "webhook"
  • "teams"
  • "bitbucket"
  • "jira"
  • "gitcafe"

Response Body

application/json

curl -X GET "https://example.com/integrations/connect/cli-attempt?provider=slack"
{  "attemptId": "ff88f33b-bb8d-4c28-947a-07ff3d628b10",  "expiresAt": "2019-08-24T14:15:22Z"}